Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.i18n
Interface Localizable

All Known Subinterfaces:
  ExtendedLocalizable, Interpreter, Parser

All Known Implementing Classes:
  AbstractDocument, AbstractParser, AbstractStylableDocument, AngleParser, ClockParser, ExtensibleDOMImplementation, FragmentIdentifierParser, GenericDocument, LengthListParser, LengthPairListParser, LengthParser, LocalizableSupport, NumberListParser, NumberParser, Parser, PathParser, PointsParser, PreserveAspectRatioParser, RhinoInterpreter, SVG12DOMImplementation, SVG12OMDocument, SVG12RhinoInterpreter, SVGDOMImplementation, SVGOMDocument, TimingParser, TimingSpecifierListParser, TimingSpecifierParser, TransformListParser, XMLScanner

    public interface Localizable

This interface must be implemented by the classes which must provide a way to override the default locale.

Method Summary
`String` | `formatMessage(String key, Object[] args)` Creates and returns a localized message, given the key of the message in the resource bundle and the message parameters.
`Locale` | `getLocale()` Returns the current locale or null if the locale currently used is the default one.
`void` | `setLocale(Locale l)` Provides a way to the user to specify a locale which override the default one.

Method Detail

### setLocale

    void setLocale(Locale l)

  Provides a way to the user to specify a locale which override the default one. If null is passed to this method, the used locale becomes the global one.

  Parameters:
    `l` - The locale to set.

### getLocale

    Locale getLocale()

  Returns the current locale or null if the locale currently used is the default one.

### formatMessage

    String formatMessage(String key,
                         Object[] args)
                         throws MissingResourceException

  Creates and returns a localized message, given the key of the message in the resource bundle and the message parameters. The messages in the resource bundle must have the syntax described in the java.text.MessageFormat class documentation.

  Parameters:
    `key` - The key used to retreive the message from the resource bundle.
    `args` - The objects that compose the message.
  Throws:
    `MissingResourceException` - if the key is not in the bundle.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.